#include <iostream>
#include <string>

int main()
{
    std::ios_base::sync_with_stdio(0);
    std::cin.tie(0);
    std::cout.tie(0);
    std::string n;
    std::cin >> n;
    int s = n.length();
    int q;
    std::cin >> q;
    for (int i=0; i<q; i++)
    {
        int l, r;
        std::cin >> l >> r;
        l-=1;
        r-=1;
        int b=1;
        for (int j=l; j<r; j++)
        {
            if (static_cast<int>(n[j+1]) < static_cast<int>(n[j]))
            {
                b+=1;
            }
        }
        std::cout << b << "\n";
    }
    return 0;
}